Page MenuHomePhabricator

Flow: & in wikilink triggers exception, Flow doesn't render
Closed, ResolvedPublic

Description

[[Bad&Link]] in wikitext causes exception and Flow fails rendering.

To reproduce, put "4[[Bad&Link]] here" in a reply and click [Preview]

"internal_api_error_MWException"

info
"Exception Caught: "

" #0 /srv/mediawiki/extensions/Flow/includes/Templating.php(435): Flow\ParsoidUtils::createDOM('<a href="/w/ind...') #1 /srv/mediawiki/extensions/Flow/includes/Templating.php(362): Flow\Templating->applyRedlinks('<p data-parsoid...') #2 /srv/mediawiki/extensions/Flow/templates/post.html.php(87): Flow\Templating->getContent(Object(Flow\Model\PostRevision), 'html', Object(User)) #3 /srv/mediawiki/extensions/Flow/includes/Templating.php(96): include('/srv/mediawiki/...') #4 /srv/mediawiki/extensions/Flow/includes/Templating.php(70): Flow\Templating->_render('/srv/mediawiki/...', Array) #5 /srv/mediawiki/extensions/Flow/includes/Templating.php(139): Flow\Templating->render('flow:post.html....', Array, true) #6 /srv/mediawiki/extensions/Flow/includes/Block/Topic.php(323): Flow\Templating->renderPost(Object(Flow\Model\PostRevision), Object(Flow\Block\TopicBlock)) #7 /srv/mediawiki/extensions/Flow/includes/api/ApiFlow.php(109): Flow\Block\{closure}(Object(Flow\Templating)) #8 /srv/mediawiki/extensions/Flow/includes/api/ApiFlow.php(70): ApiFlow->processCommitResult(Array, true) #9 /srv/mediawiki/includes/api/ApiMain.php(829): ApiFlow->execute() #10 /srv/mediawiki/includes/api/ApiMain.php(380): ApiMain->executeAction() #11 /srv/mediawiki/includes/api/ApiMain.php(351): ApiMain->executeActionWithErrorHandling() #12 /srv/mediawiki/api.php(73): ApiMain->execute()


Version: master
Severity: blocker

Details

Reference
bz58455

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 2:21 AM
bzimport set Reference to bz58455.
bzimport added a subscriber: Unknown Object (MLST).

Change 101236 had a related patch set uploaded by Spage:
Gracefully handle errors applying redlinks

https://gerrit.wikimedia.org/r/101236

Change 101236 merged by jenkins-bot:
Gracefully handle errors applying redlinks

https://gerrit.wikimedia.org/r/101236

Change 101249 had a related patch set uploaded by Spage:
Gracefully handle errors applying redlinks (wmf7)

https://gerrit.wikimedia.org/r/101249

Change 101249 merged by jenkins-bot:
Gracefully handle errors applying redlinks (wmf7)

https://gerrit.wikimedia.org/r/101249

Change 101253 had a related patch set uploaded by Spage:
Update Flow with backported bug 58455 backport

https://gerrit.wikimedia.org/r/101253

Change 101253 merged by jenkins-bot:
Update Flow with backported bug 58455 backport

https://gerrit.wikimedia.org/r/101253

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 28 2016, 5:57 PM
Ironholds set Security to None.Jan 29 2016, 2:50 PM
Ironholds removed a subscriber: Ironholds.